### Hierarchy

- GameEndedEventHandler

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- eventName
- handler

## Constructors

### constructor

- new GameEndedEventHandler(handler: function): GameEndedEventHandler

- - Defined in Handlers.ts:22

  #### Parameters

  - ##### handler: function

    - - (message: GameEndedMessage): void

      - #### Parameters

        - ##### message: GameEndedMessage

        #### Returns void

  #### Returns GameEndedEventHandler

## Properties

### eventName

eventName: GameEnded

Implementation of IEventHandler.eventName

- Defined in Handlers.ts:22

### handler

handler: function

Implementation of IEventHandler.handler

- Defined in Handlers.ts:23

#### Type declaration

- - (message: GameEndedMessage): void

  - #### Parameters

    - ##### message: GameEndedMessage

    #### Returns void

Generated using TypeDoc